<template>
  <div>
    <headerr back>Create Workspace</headerr>
    <workspaces-detail
      :workspace="workspace"
      @saved="$router.replace({ name: 'Tasks', params: { workspace: workspace.id } })"
      focus
      class="mt-4 container mx-auto max-w-lg p-4 lg:p-8 lg:shadow lg:border rounded-lg"
    />
  </div>
</template>

<script lang="ts">
import Workspace from "@/models/Workspace";

import WorkspacesDetail from "@/components/Workspaces/Detail.vue";

export default {
  components: { WorkspacesDetail },
  setup(props) {
    const workspace = new Workspace();

    return {
      workspace
    };
  }
};
</script>
